AOZ Studio Beta - Bug #781

Bank Shrink Fails. (Improper transpiling.)
06/13/2021 11:23 PM - Brian Flanagan

Status: Closed Start date: 06/13/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B8) u15

Affected version: 1.0.0 (B8)

Description

For example:

// Enter your magic spell here!
Reserve As Data 15,50000
Bank Shrink 15,20000

Resulting code has a %bankindex embedded where 15 belongs.
// Bank Shrink 15,20000

aoz.sourcePos="0:2:0";
aoz.banks.bankShrink ($bankindex, 20000) ;

History

#1 - 06/26/2021 07:55 AM - David Baldwin
Fixed! Typo in bankindex, should be bankindex.

#2 - 06/26/2021 05:42 PM - David Baldwin

- Status changed from New to Resolved

#3 - 07/15/2021 09:35 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version changed from none to 1.0.0 (B8) u15

Fixed!
Re-tested in 1.0.0 (B8) u15 on 7/15/2021
